{
  "name": "pkudyn/fox-test",
  "description": "Html parser",
  "type": "project",
  "authors": [
    {
      "name": "Petr Kudyn",
      "email": "p.kudyn@gmail.com"
    }
  ],
  "minimum-stability": "stable",
  "require": {
    "php": ">=7.4",
    "elasticsearch/elasticsearch": "^7.1",
    "nette/di": "^3.0",
    "nette/neon": "^3.2",
    "paquettg/php-html-parser": "^3.1",
    "tracy/tracy": "^2.8"
  },
  "require-dev": {
    "php-parallel-lint/php-console-highlighter": "^0.5",
    "php-parallel-lint/php-parallel-lint": "^1.0",
    "ninjify/coding-standard": "^0.10",
    "nette/tester": "^2.1",
    "phpstan/phpstan": "0.12.53",
    "phpstan/phpstan-deprecation-rules": "^0.12",
    "phpstan/phpstan-strict-rules": "^0.12"
  },
  "config": {
    "optimize-autoloader": true,
    "platform": {
      "php": "7.4"
    },
    "preferred-install": "dist",
    "sort-packages": true,
    "platform-check": false
  },
  "autoload": {
    "psr-4": {
      "App\\": "app"
    }
  },
  "autoload-dev": {
    "psr-4": {
      "Tests\\": "tests"
    }
  },
  "scripts": {
    "cs": [
      "parallel-lint --blame app bin tests --exclude tests/var",
      "phpcs --standard=.ruleset.xml"
    ],
    "cs-fix": [
      "phpcbf --standard=.ruleset.xml"
    ],
    "phpstan": [
      "phpstan analyse -c .phpstan.neon --memory-limit=2G"
    ],
    "test": [
      "rm -rf tests/var/tmp/cache",
      "tester -C tests"
    ],
    "qa": [
      "@cs",
      "@phpstan",
      "@test"
    ]
  }
}
